// DesktopSenderDlg.h : header file
//

#if !defined(AFX_DESKTOPSENDERDLG_H__421FCD67_053E_11D6_84DA_88E21B2F6D45__INCLUDED_)
#define AFX_DESKTOPSENDERDLG_H__421FCD67_053E_11D6_84DA_88E21B2F6D45__INCLUDED_

#include "DesktopSenderSocket.h"	// Added by ClassView
#include "TrayIcon.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDesktopSenderDlg dialog

class CDesktopSenderDlg : public CDialog
{
// Construction
public:
	void OnAccept();
	CDesktopSenderDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDesktopSenderDlg)
	enum { IDD = IDD_DESKTOPSENDER_DIALOG };
	CButton	m_ctlApply;
	CButton	m_ctlComButton;
	int		m_iPort;
	int		m_iInterval;
	float	m_fRatio;
	BOOL	m_bMinWhenCon;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDesktopSenderDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDesktopSenderDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnComCommand();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTrayOpen();
	afx_msg void OnChangeEzratio();
	afx_msg void OnChangeEinterval();
	afx_msg void OnBapply();
	afx_msg void OnDestroy();
	afx_msg void OnTrayAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CTrayIcon m_trayIcon;
	CDesktopSenderSocket m_sSender;
	CSocket m_sReceiver;
	int m_iStatus;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DESKTOPSENDERDLG_H__421FCD67_053E_11D6_84DA_88E21B2F6D45__INCLUDED_)
