// DesktopRecieverView.cpp : implementation of the CDesktopRecieverView class
//

#include "stdafx.h"
#include "DesktopReciever.h"

#include "DesktopRecieverDoc.h"
#include "DesktopRecieverView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDesktopRecieverView

IMPLEMENT_DYNCREATE(CDesktopRecieverView, CView)

BEGIN_MESSAGE_MAP(CDesktopRecieverView, CView)
	//{{AFX_MSG_MAP(CDesktopRecieverView)
	ON_WM_ERASEBKGND()
	ON_WM_SIZE()
	ON_COMMAND(ID_VIEW_ZOOMIN, OnViewZoomin)
	ON_COMMAND(ID_VIEW_ZOOMOUT, OnViewZoomout)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDesktopRecieverView construction/destruction

CDesktopRecieverView::CDesktopRecieverView()
{
	// TODO: add construction code here
	m_bAny=FALSE;	
	m_bNeedsErase=FALSE;
	m_fRatio=1.0;
}

CDesktopRecieverView::~CDesktopRecieverView()
{
}

BOOL CDesktopRecieverView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CDesktopRecieverView drawing

void CDesktopRecieverView::OnDraw(CDC* pDC)
{
	CDesktopRecieverDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
	if(m_bAny)
	{
	CDC* pDC=GetDC();
	CDC dcMem;
	dcMem.CreateCompatibleDC(pDC);
	dcMem.SelectObject(m_pBitmap);
	BITMAP bm;
	m_pBitmap->GetBitmap(&bm);
	CRect rect;
	GetClientRect(&rect);
	if(rect.Width()>int(bm.bmHeight*m_fRatio)||rect.Height()>int(bm.bmHeight*m_fRatio))
	{
		CPen Pen(PS_SOLID,1,RGB(255,255,255));
		pDC->Rectangle(0,0,rect.Width(),rect.Height());
	}
	pDC->StretchBlt(0,0,int(bm.bmWidth*m_fRatio),int(bm.bmHeight*m_fRatio),&dcMem,0,0,bm.bmWidth,bm.bmHeight,SRCCOPY);
	}
}

/////////////////////////////////////////////////////////////////////////////
// CDesktopRecieverView diagnostics

#ifdef _DEBUG
void CDesktopRecieverView::AssertValid() const
{
	CView::AssertValid();
}

void CDesktopRecieverView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDesktopRecieverDoc* CDesktopRecieverView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDesktopRecieverDoc)));
	return (CDesktopRecieverDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDesktopRecieverView message handlers


void CDesktopRecieverView::SetBitmap(CBitmap *pBitmap)
{
	if(m_bAny)
		delete []m_pBitmap;		
	m_bAny=TRUE;
	m_pBitmap=pBitmap;
	BITMAP bm;
	m_pBitmap->GetBitmap(&bm);
}

BOOL CDesktopRecieverView::OnEraseBkgnd(CDC* pDC) 
{
	if(!m_bAny||m_bNeedsErase)
	{
		m_bNeedsErase=FALSE;
		return CView::OnEraseBkgnd(pDC);
	}
	return TRUE;
}

void CDesktopRecieverView::OnSize(UINT nType, int cx, int cy) 
{
	CView::OnSize(nType, cx, cy);	
	m_bNeedsErase=TRUE;	
}

void CDesktopRecieverView::OnViewZoomin() 
{
	m_fRatio=m_fRatio*2;
	Invalidate();
}

void CDesktopRecieverView::OnViewZoomout() 
{
	CDC* pDC=GetDC();
	BITMAP bm;
	m_pBitmap->GetBitmap(&bm);
	CPen Pen(PS_SOLID,3,RGB(255,255,255));
	pDC->SelectObject(&Pen);
	pDC->Rectangle(0,0,int(bm.bmWidth*m_fRatio),int(bm.bmHeight*m_fRatio));
	m_fRatio=m_fRatio/2;
	Invalidate();	
}